package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFCK1InrsData implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFCK1InrsData() {}

    public static MWFCK1InrsData builder() {
        return new MWFCK1InrsData();
    }

    public MWFCK1InrsData rsTypuctu(Long rsTypuctu) {
        params.put("RS_TYPUCTU", rsTypuctu);
        return this;
    }

    public MWFCK1InrsData rsCislouctu(String rsCislouctu) {
        params.put("RS_CISLOUCTU", rsCislouctu);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
